Update a task job
import requests
url = "https://{FUSION_HOST}/job-config/tasks/{id}"
payload = { "type": "blob-download" }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"type": "blob-download",
"id": "refresh-autocomplete-blob",
"url": "https://doc.lucidworks.com/autocomplete/5.8/autocomplete_documentation.json",
"blobId": "autocomplete/autocomplete_documentation.json",
"updates": [
{
"userId": "config-sync_service_account",
"timestamp": "2023-10-05T21:51:36.916Z"
},
{
"userId": "config-sync_service_account",
"timestamp": "2023-10-05T21:51:36.918Z"
}
]
}Update a task job
Update the specified task job’s configuration.
PUT
/
job-config
/
tasks
/
{id}
Update a task job
import requests
url = "https://{FUSION_HOST}/job-config/tasks/{id}"
payload = { "type": "blob-download" }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"type": "blob-download",
"id": "refresh-autocomplete-blob",
"url": "https://doc.lucidworks.com/autocomplete/5.8/autocomplete_documentation.json",
"blobId": "autocomplete/autocomplete_documentation.json",
"updates": [
{
"userId": "config-sync_service_account",
"timestamp": "2023-10-05T21:51:36.916Z"
},
{
"userId": "config-sync_service_account",
"timestamp": "2023-10-05T21:51:36.918Z"
}
]
}Headers
Path Parameters
The unique ID for this job.
Query Parameters
The app to which a job belongs, formatted as app:APP_NAME.
Was this page helpful?
⌘I